<script lang="ts" setup>
import { useFoodStore } from '@/stores/food';
import { useMenuStore } from '@/stores/menu';
import { useQueueStore } from '@/stores/queue';
import type Orderitem from '@/types/Orderitem';
const menuStore = useMenuStore();
const queueStore = useQueueStore();
const foodStore = useFoodStore();

function Cancel() {
  foodStore.saveQueue();
  foodStore.saveOrderlist();
  foodStore.clear();
  queueStore.cancelDialog = false;
}

</script>
<template>
  <v-row class="justify-center">
    <v-dialog v-model="queueStore.cancelDialog" persistent width="auto">
      <v-card width="500px" height="310px" color="#EDEADE">
        <v-row class="justify-center">
          <v-card class="pa-5 ma-2 text-h4 text-center" width="100%" height="80px" color="#FF4A4A"
            style="color: white"><label>ยืนยันการยกเลิก</label>
          </v-card>
        </v-row>
        <v-card-text class="text-center">
          <label class="btext">{{ queueStore.cancelMenu.name}}</label><br><br>
          <label class="stext">ใช่ หรือ ไม่</label>
        </v-card-text>
        <!-- <label class="stext">เปิด/ปิด เมนู</label> -->
        <v-switch class="text-center mx-auto" inset v-model="queueStore.cancelMenu.status" :label="`${queueStore.cancelMenu.status}`" color="success"
          true-value="on" false-value="off" @click="menuStore.switchMenu(queueStore.cancelMenu)" hide-details>
        </v-switch>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn size="x-large" class="btngr" @click="queueStore.cancelDialog = false">NO</v-btn>
          <v-btn size="x-large" class="btng" @click="Cancel()">YES</v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-row>
</template>
<style scoped>
@import url("https://fonts.googleapis.com/css2?family=Noto+Sans+Thai:wght@100&display=swap");

label {
  font-family: "Noto Sans Thai", sans-serif;
  font-weight: bold;
  font-size: 24px !important;
}

.stext {
  font-size: 18px !important;
}

.btext {
  font-size: 24px !important;
}

.btng {
  font-family: "Noto Sans Thai", sans-serif;
  font-weight: bold;
  background-color: #9BCB3C;
  width: 80px;
}

.btngr {
  font-family: "Noto Sans Thai", sans-serif;
  font-weight: bold;
  background-color: #C0C0C0;
  width: 80px;
}
</style>